Bug 832694 - ESTALE error text should be reworded
Summary: ESTALE error text should be reworded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 966259 1009681 1009682 1009687
TreeView+ depends on / blocked
 
Reported: 2012-06-16 16:45 UTC by Joe Julian
Modified: 2016-11-24 16:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ESTALE error text specifically referred to NFS file systems. Consequence: Non-NFS file systems could also trigger this error which was confusing. Fix: The error message was rewritten to be more general and therefore, apply to all file systems that might trigger this error. Result: The error message is general enough to be used for all relevant file system types.
Clone Of:
: 966259 1009681 (view as bug list)
Environment:
Last Closed: 2013-02-21 07:05:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Possible fix (1.01 KB, patch)
2012-06-29 04:44 UTC, Jeff Law
no flags Details | Diff
Very simple test case (81 bytes, text/x-csrc)
2012-08-06 19:37 UTC, Patsy Franklin
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 391094 None None None 2012-06-16 16:50:56 UTC
Red Hat Product Errata RHBA-2013:0279 normal SHIPPED_LIVE glibc bug fix and enhancement update 2013-02-20 20:37:06 UTC
Sourceware 14256 None None None Never

Description Joe Julian 2012-06-16 16:45:11 UTC
ESTALE which is the base for the error text of "Stale NFS file handle" in sysdeps/gnu/errlist.c happens on *any* stale filehandle, totally independent from the fact if the underlying filesystem is NFS, is a corrupt ext2/3/4 filesystem with dangling inodes, or is fuse based. The error message should be reworded to be more generic instead of (in many cases) falsely pointing to NFS only.

Comment 2 Jeff Law 2012-06-29 04:44:49 UTC
Created attachment 595180 [details]
Possible fix

Comment 3 Patsy Franklin 2012-08-06 19:37:35 UTC
Created attachment 602568 [details]
Very simple test case

Comment 8 errata-xmlrpc 2013-02-21 07:05:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0279.html


Note You need to log in before you can comment on or make changes to this bug.